Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.dialog
Interface IValidationMessageProvider

All Known Implementing Classes:
  ValidationMessageProvider

    public interface IValidationMessageProvider

Simple interface to provide a validation message text and a message type for a given `ValidationStatusProvider`.

Can be used in dialogs to display a message text along with an icon reflecting the validation status.

Since:
  1.4

Method Summary
`String` `getMessage(ValidationStatusProvider statusProvider)` Returns the validation message text for the given validation status provider.
`int` `getMessageType(ValidationStatusProvider statusProvider)` Returns the validation message type as one of the constants defined in `IMessageProvider` for the given validation status provider.

Method Detail

### getMessage

    String getMessage(ValidationStatusProvider statusProvider)

  Returns the validation message text for the given validation status provider.

  Parameters:
    `statusProvider` - the `ValidationStatusProvider` for which to provide a message text. May be `null`.
  Returns:
    The validation message text for the given `validationStatusProvider`. May be `null`.

### getMessageType

    int getMessageType(ValidationStatusProvider statusProvider)

  Returns the validation message type as one of the constants defined in `IMessageProvider` for the given validation status provider.

  Parameters:
    `statusProvider` - the `ValidationStatusProvider` for which to provide a message type. May be `null`.
  Returns:
    The validation message type for the given `validationStatusProvider`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.